Package ghidra.program.model.data

# Interface DomainFileBasedDataTypeManager

All Superinterfaces:
  `DataTypeManager`, `FileBasedDataTypeManager`

All Known Subinterfaces:
  `ProgramBasedDataTypeManager`, `ProjectArchiveBasedDataTypeManager`, `TraceBasedDataTypeManager`

All Known Implementing Classes:
  `DBTraceDataTypeManager`, `ProgramBasedDataTypeManagerDB`, `ProgramDataTypeManager`, `ProjectDataTypeManager`

public interface DomainFileBasedDataTypeManager extends FileBasedDataTypeManager
Extends DataTypeManager to provide methods specific to a data type manager stored as a domain file.

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.data.DataTypeManager

  `BAD_DATATYPE_ID, BUILT_IN_ARCHIVE_KEY, BUILT_IN_ARCHIVE_UNIVERSAL_ID, BUILT_IN_DATA_TYPES_NAME, DEFAULT_DATATYPE_ID, LOCAL_ARCHIVE_KEY, LOCAL_ARCHIVE_UNIVERSAL_ID, NULL_DATATYPE_ID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DomainFile`
  `getDomainFile()`

  ### Methods inherited from interface ghidra.program.model.data.DataTypeManager

  `addDataType, addDataTypeManagerListener, addDataTypes, addInvalidatedListener, allowsDefaultBuiltInSettings, allowsDefaultComponentSettings, associateDataTypeWithArchive, close, contains, containsCategory, createCategory, disassociate, endTransaction, findDataType, findDataTypeForID, findDataTypes, findDataTypes, findEnumValueNames, flushEvents, getAddressMap, getAllComposites, getAllDataTypes, getAllDataTypes, getAllFunctionDefinitions, getAllStructures, getCallingConvention, getCategory, getCategory, getCategoryCount, getDataOrganization, getDataType, getDataType, getDataType, getDataType, getDataType, getDataTypeCount, getDataTypes, getDataTypesContaining, getDefaultCallingConvention, getDefinedCallingConventionNames, getFavorites, getID, getKnownCallingConventionNames, getLastChangeTimeForMyManager, getLocalSourceArchive, getName, getPointer, getPointer, getProgramArchitecture, getProgramArchitectureSummary, getResolvedID, getRootCategory, getSourceArchive, getSourceArchives, getType, getUniqueName, getUniversalID, isFavorite, isUpdatable, openTransaction, remove, remove, remove, removeDataTypeManagerListener, removeInvalidatedListener, removeSourceArchive, replaceDataType, resolve, resolveSourceArchive, setFavorite, setName, startTransaction, updateSourceArchiveName, updateSourceArchiveName, withTransaction, withTransaction`

  ### Methods inherited from interface ghidra.program.model.data.FileBasedDataTypeManager

  `getPath`

- ## Method Details

  - ### getDomainFile

    DomainFile getDomainFile()